%define upstream_name    Test-utf8
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Handy utf8 tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester) >= 0.90.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module is a collection of tests useful for dealing with utf8 strings
in Perl.

This module has two types of tests: The validity tests check if a string is
valid and not corrupt, whereas the characteristics tests will check that
string has a given set of characteristics.

Validity Tests
    * is_valid_string($string, $testname)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.30.0-2.mga10
+ Revision: 2234701
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 1.30.0-1.mga10
+ Revision: 2141965
- update to 1.03

* Mon Mar 21 2022 umeabot <umeabot> 1.20.0-2.mga9
+ Revision: 1812425
- Mageia 9 Mass Rebuild

* Mon Mar 02 2020 tv <tv> 1.20.0-1.mga8
+ Revision: 1552842
- update to 1.02

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-11.mga8
+ Revision: 1506658
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.10.0-10.mga7
+ Revision: 1286959
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.10.0-9.mga7
+ Revision: 1166936
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 tv <tv> 1.10.0-8.mga7
+ Revision: 1158347
- BR perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-7.mga6
+ Revision: 1034707
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-6.mga6
+ Revision: 948396
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 787837
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 750014
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.10.0-3.mga5
+ Revision: 736025
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-2.mga5
+ Revision: 686589
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.10.0-1.mga5
+ Revision: 587544
- update to 1.01

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 515393
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 373955
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 268073
- imported package perl-Test-utf8


* Thu Jul 05 2012 cpan2dist 1.00-1mga
- initial mageia release, generated with cpan2dist
